summaryrefslogtreecommitdiff
path: root/standalone/windows/build-simple.sh
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-12-05 21:28:34 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-12-05 21:28:34 -0400
commite419f9ab5f08058ccf349fb5ac8e29385682e599 (patch)
tree110e4b16e2735396e4937d7a745675e073d2532c /standalone/windows/build-simple.sh
parent41ad64d7833262e3447e9036833c6ab5d3ca4aee (diff)
ignore expected failure
autobuilder must have a *really* weird sh
Diffstat (limited to 'standalone/windows/build-simple.sh')
-rw-r--r--standalone/windows/build-simple.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/standalone/windows/build-simple.sh b/standalone/windows/build-simple.sh
index 3011884c9..d15db2072 100644
--- a/standalone/windows/build-simple.sh
+++ b/standalone/windows/build-simple.sh
@@ -29,6 +29,6 @@ withcyg cabal build || true
# Works around link failure https://ghc.haskell.org/trac/ghc/ticket/8596
# using a response file.
withcyg rm -f build.log gcc.opt
-withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1
+withcyg cabal build --ghc-options='-v -keep-tmp-files' > build.log 2>&1 || true
withcyg grep '"dist\\build\\git-annex\\git-annex.exe"' build.log | sed -e 's/^"[^"]*" //' -e 's/\\/\//g' > gcc.opt
"$HP/mingw/bin/gcc.exe" @gcc.opt